Orders V0

class sp_api.api.OrdersV0(marketplace: ~sp_api.base.marketplaces.Marketplaces = Marketplaces.US, *, refresh_token=None, account='default', credentials=None, restricted_data_token=None, proxies=None, verify=True, timeout=None, version=None, credential_providers=None, auth_token_client_class=<class 'sp_api.auth.access_token_client.AccessTokenClient'>)
get_orders(self, **kwargs) ApiResponse

Returns orders that are created or updated during the specified time period. If you want to return specific types of orders, you can apply filters to your request. NextToken doesn’t affect any filters that you include in your request; it only impacts the pagination for the filtered orders response.

Examples

literal blocks:

OrdersV0().get_orders()
Parameters:

**kwargs

Returns:

ApiResponse

get_order(self, order_id, **kwargs) ApiResponse

Returns the order that you specify.

Examples

literal blocks:

OrdersV0().get_order("value")
Parameters:
  • order_id

    required

  • **kwargs

Returns:

ApiResponse

get_order_items(self, order_id, **kwargs) ApiResponse
Returns detailed order item information for the order that you specify. If NextToken is provided, it’s used to retrieve the next page of order items.

__Note__: When an order is in the Pending state (the order has been placed but payment has not been authorized), the getOrderItems operation does not return information about pricing, taxes, shipping charges, gift status or promotions for the order items in the order. After an order leaves the Pending state (this occurs when payment has been authorized) and enters the Unshipped, Partially Shipped, or Shipped state, the getOrderItems operation returns information about pricing, taxes, shipping charges, gift status and promotions for the order items in the order.

Examples

literal blocks:

OrdersV0().get_order_items("value")
Parameters:
  • order_id

    required

  • **kwargs

Returns:

ApiResponse

get_order_address(self, order_id, **kwargs) ApiResponse

Returns the shipping address for the order that you specify.

Examples

literal blocks:

OrdersV0().get_order_address("value")
Parameters:
  • order_id

    required

  • **kwargs

Returns:

ApiResponse

get_order_buyer_info(self, order_id, **kwargs) ApiResponse

Returns buyer information for the order that you specify.

Examples

literal blocks:

OrdersV0().get_order_buyer_info("value")
Parameters:
  • order_id

    required

  • **kwargs

Returns:

ApiResponse

get_order_items_buyer_info(self, order_id, **kwargs) ApiResponse

Returns buyer information for the order items in the order that you specify.

Examples

literal blocks:

OrdersV0().get_order_items_buyer_info("value")
Parameters:
  • order_id

    required

  • **kwargs

Returns:

ApiResponse

update_shipment_status(self, order_id, **kwargs) ApiResponse

Update the shipment status for an order that you specify.

Usage Plan:

Rate (requests per second)

Burst

5

15

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

OrdersV0().update_shipment_status("value")
Parameters:
  • orderId – object | required An Amazon-defined order identifier, in 3-7-7 format.

  • payload – UpdateShipmentStatusRequest | required The request body for the updateShipmentStatus operation.

Returns:

ApiResponse

confirm_shipment(self, order_id, **kwargs) ApiResponse

Updates the shipment confirmation status for a specified order.

Usage Plan:

Rate (requests per second)

Burst

2

10

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

OrdersV0().confirm_shipment("value")
Parameters:
  • orderId – object | required An Amazon-defined order identifier, in 3-7-7 format.

  • payload – ConfirmShipmentRequest | required Request body of confirmShipment.

Returns:

ApiResponse

get_order_regulated_info(self, orderId, **kwargs) ApiResponse

Returns regulated information for the order that you specify.

Usage Plan:

Rate (requests per second)

Burst

0.5

30

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

OrdersV0().get_order_regulated_info("value")
Parameters:

orderId – object | required The Amazon order identifier in 3-7-7 format.

Returns:

ApiResponse

update_verification_status(self, orderId, **kwargs) ApiResponse

Updates (approves or rejects) the verification status of an order containing regulated products.

Usage Plan:

Rate (requests per second)

Burst

0.5

30

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

OrdersV0().update_verification_status("value")
Parameters:
  • orderId – object | required The Amazon order identifier in 3-7-7 format.

  • payload – UpdateVerificationStatusRequest | required The request body for the updateVerificationStatus operation.

Returns:

ApiResponse

Restricted Data Token

To use a restricted data token to access PII data, you can pass the token obtained from the Token endpoint to the client:

Orders(restricted_data_token='......').get_orders(...)